Page MenuHomePhabricator

Hide some symbols to avoid a crash on shutdown when using code coverage
ClosedPublic

Authored by sylvestre.ledru on Sep 21 2017, 2:05 AM.

Diff Detail

Event Timeline

davidxl edited edge metadata.Oct 6 2017, 9:51 AM

Can you add a test case with shared libraries?

belleyb added a subscriber: belleyb.Nov 2 2017, 1:12 PM

Autodesk would also like to see this fix merged into LLVM 5.0.1 and we also agree about the importance of having a regression tests.

@sylvestre.ledru : Is someone on the Firefox team working on writing a unit test for this ? Shall we jump-in and try to help ?

marco-c added a subscriber: marco-c.Nov 6 2017, 6:15 AM
sylvestre.ledru edited the summary of this revision. (Show Details)

@sylvestre.ledru Thanks for the test!

please thank Marco :)

@davidxl David, is that ok with you? Can you sign off this change? Thanks

I added two more reviewers as we would like to get that in trunk before 6.0 branches.

This revision was not accepted when it landed; it landed in state Needs Review.Jan 3 2018, 3:22 AM
This revision was automatically updated to reflect the committed changes.
Herald added subscribers: Restricted Project, llvm-commits. · View Herald TranscriptJan 3 2018, 3:22 AM

The change was already positively reviewed with the request for a test, which has been written since then.